Loading...
Searching...
No Matches
CbcOrClpParam.hpp File Reference
`#include "ClpConfig.h"`
`#include <vector>`
`#include <string>`
Include dependency graph for CbcOrClpParam.hpp:

Go to the source code of this file.

## Functions

Constructor and destructor

Parameter codes

Parameter type ranges are allocated as follows

- 1 – 100 double parameters
- 101 – 200 integer parameters
- 201 – 300 Clp string parameters
- 301 – 400 Cbc string parameters
- 401 – 500 (mostly) Clp actions
- 501 – 600 (mostly) Cbc actions

`Actions' do not necessarily invoke an immediate action; it's just that they don't fit neatly into the parameters array.

This coding scheme is in flux. */

enum CbcOrClpParameterType

{ CBC_PARAM_GENERALQUERY = -100, CBC_PARAM_FULLGENERALQUERY,

CLP_PARAM_DBL_PRIMALTOLERANCE = 1, CLP_PARAM_DBL_DUALTOLERANCE, CLP_PARAM_DBL_TIMELIMIT, CLP_PARAM_DBL_DUALBOUND, CLP_PARAM_DBL_PRIMALWEIGHT, CLP_PARAM_DBL_OBJSCALE, CLP_PARAM_DBL_RHSSCALE, CLP_PARAM_DBL_ZEROTOLERANCE, CLP_PARAM_DBL_PSI,

CBC_PARAM_DBL_INFEASIBILITYWEIGHT = 51, CBC_PARAM_DBL_CUTOFF, CBC_PARAM_DBL_INTEGERTOLERANCE, CBC_PARAM_DBL_INCREMENT, CBC_PARAM_DBL_ALLOWABLEGAP, CBC_PARAM_DBL_TIMELIMIT_BAB, CBC_PARAM_DBL_GAPRATIO,

CBC_PARAM_DBL_DJFIX = 81, CBC_PARAM_DBL_TIGHTENFACTOR, CLP_PARAM_DBL_PRESOLVETOLERANCE, CLP_PARAM_DBL_OBJSCALE2, CBC_PARAM_DBL_FAKEINCREMENT, CBC_PARAM_DBL_FAKECUTOFF, CBC_PARAM_DBL_ARTIFICIALCOST, CBC_PARAM_DBL_DEXTRA3, CBC_PARAM_DBL_SMALLBAB, CBC_PARAM_DBL_DEXTRA4, CBC_PARAM_DBL_DEXTRA5,

CLP_PARAM_INT_SOLVERLOGLEVEL = 101,

CLP_PARAM_INT_LOGLEVEL = 101,

CLP_PARAM_INT_MAXFACTOR, CLP_PARAM_INT_PERTVALUE, CLP_PARAM_INT_MAXITERATION, CLP_PARAM_INT_PRESOLVEPASS, CLP_PARAM_INT_IDIOT, CLP_PARAM_INT_SPRINT, CLP_PARAM_INT_OUTPUTFORMAT, CLP_PARAM_INT_SLPVALUE, CLP_PARAM_INT_PRESOLVEOPTIONS, CLP_PARAM_INT_PRINTOPTIONS, CLP_PARAM_INT_SPECIALOPTIONS, CLP_PARAM_INT_SUBSTITUTION, CLP_PARAM_INT_DUALIZE, CLP_PARAM_INT_VERBOSE, CLP_PARAM_INT_CPP, CLP_PARAM_INT_PROCESSTUNE, CLP_PARAM_INT_USESOLUTION, CLP_PARAM_INT_RANDOMSEED, CLP_PARAM_INT_MORESPECIALOPTIONS, CLP_PARAM_INT_DECOMPOSE_BLOCKS, CLP_PARAM_INT_VECTOR_MODE,

CBC_PARAM_INT_STRONGBRANCHING = 151, CBC_PARAM_INT_CUTDEPTH, CBC_PARAM_INT_MAXNODES, CBC_PARAM_INT_NUMBERBEFORE, CBC_PARAM_INT_NUMBERANALYZE, CBC_PARAM_INT_MIPOPTIONS, CBC_PARAM_INT_MOREMIPOPTIONS, CBC_PARAM_INT_MAXHOTITS, CBC_PARAM_INT_FPUMPITS, CBC_PARAM_INT_MAXSOLS, CBC_PARAM_INT_FPUMPTUNE, CBC_PARAM_INT_TESTOSI, CBC_PARAM_INT_EXTRA1, CBC_PARAM_INT_EXTRA2, CBC_PARAM_INT_EXTRA3, CBC_PARAM_INT_EXTRA4, CBC_PARAM_INT_DEPTHMINIBAB, CBC_PARAM_INT_CUTPASSINTREE, CBC_PARAM_INT_THREADS, CBC_PARAM_INT_CUTPASS, CBC_PARAM_INT_VUBTRY, CBC_PARAM_INT_DENSE, CBC_PARAM_INT_EXPERIMENT, CBC_PARAM_INT_DIVEOPT, CBC_PARAM_INT_DIVEOPTSOLVES, CBC_PARAM_INT_STRATEGY, CBC_PARAM_INT_SMALLFACT, CBC_PARAM_INT_HOPTIONS, CBC_PARAM_INT_CUTLENGTH, CBC_PARAM_INT_FPUMPTUNE2,

CBC_PARAM_INT_MAXSAVEDSOLS, CBC_PARAM_INT_RANDOMSEED, CBC_PARAM_INT_MULTIPLEROOTS, CBC_PARAM_INT_STRONG_STRATEGY, CBC_PARAM_INT_EXTRA_VARIABLES, CBC_PARAM_INT_MAX_SLOW_CUTS, CBC_PARAM_INT_MOREMOREMIPOPTIONS,

CLP_PARAM_STR_DIRECTION = 201, CLP_PARAM_STR_DUALPIVOT, CLP_PARAM_STR_SCALING, CLP_PARAM_STR_ERRORSALLOWED, CLP_PARAM_STR_KEEPNAMES, CLP_PARAM_STR_SPARSEFACTOR, CLP_PARAM_STR_PRIMALPIVOT, CLP_PARAM_STR_PRESOLVE, CLP_PARAM_STR_CRASH, CLP_PARAM_STR_BIASLU, CLP_PARAM_STR_PERTURBATION, CLP_PARAM_STR_MESSAGES, CLP_PARAM_STR_AUTOSCALE, CLP_PARAM_STR_CHOLESKY, CLP_PARAM_STR_KKT, CLP_PARAM_STR_BARRIERSCALE, CLP_PARAM_STR_GAMMA, CLP_PARAM_STR_CROSSOVER, CLP_PARAM_STR_PFI, CLP_PARAM_STR_INTPRINT, CLP_PARAM_STR_VECTOR, CLP_PARAM_STR_FACTORIZATION, CLP_PARAM_STR_ALLCOMMANDS, CLP_PARAM_STR_TIME_MODE, CLP_PARAM_STR_ABCWANTED, CLP_PARAM_STR_BUFFER_MODE,

CBC_PARAM_STR_NODESTRATEGY = 301, CBC_PARAM_STR_BRANCHSTRATEGY, CBC_PARAM_STR_CUTSSTRATEGY, CBC_PARAM_STR_HEURISTICSTRATEGY, CBC_PARAM_STR_GOMORYCUTS, CBC_PARAM_STR_PROBINGCUTS, CBC_PARAM_STR_KNAPSACKCUTS, CBC_PARAM_STR_REDSPLITCUTS, CBC_PARAM_STR_ROUNDING, CBC_PARAM_STR_SOLVER, CBC_PARAM_STR_CLIQUECUTS, CBC_PARAM_STR_COSTSTRATEGY, CBC_PARAM_STR_FLOWCUTS, CBC_PARAM_STR_MIXEDCUTS, CBC_PARAM_STR_TWOMIRCUTS, CBC_PARAM_STR_PREPROCESS, CBC_PARAM_STR_FPUMP, CBC_PARAM_STR_GREEDY, CBC_PARAM_STR_COMBINE, CBC_PARAM_STR_PROXIMITY, CBC_PARAM_STR_LOCALTREE, CBC_PARAM_STR_SOS, CBC_PARAM_STR_LANDPCUTS, CBC_PARAM_STR_RINS, CBC_PARAM_STR_RESIDCUTS, CBC_PARAM_STR_RENS, CBC_PARAM_STR_DIVINGS, CBC_PARAM_STR_DIVINGC, CBC_PARAM_STR_DIVINGF, CBC_PARAM_STR_DIVINGG, CBC_PARAM_STR_DIVINGL, CBC_PARAM_STR_DIVINGP, CBC_PARAM_STR_DIVINGV, CBC_PARAM_STR_DINS, CBC_PARAM_STR_PIVOTANDFIX, CBC_PARAM_STR_RANDROUND, CBC_PARAM_STR_NAIVE, CBC_PARAM_STR_ZEROHALFCUTS, CBC_PARAM_STR_CPX, CBC_PARAM_STR_CROSSOVER2, CBC_PARAM_STR_PIVOTANDCOMPLEMENT, CBC_PARAM_STR_VND, CBC_PARAM_STR_LAGOMORYCUTS, CBC_PARAM_STR_LATWOMIRCUTS, CBC_PARAM_STR_REDSPLIT2CUTS, CBC_PARAM_STR_GMICUTS, CBC_PARAM_STR_CUTOFF_CONSTRAINT, CBC_PARAM_STR_DW, CBC_PARAM_STR_ORBITAL, CBC_PARAM_STR_PREPROCNAMES, CBC_PARAM_STR_SOSPRIORITIZE,

CLP_PARAM_ACTION_DIRECTORY = 401, CLP_PARAM_ACTION_DIRSAMPLE, CLP_PARAM_ACTION_DIRNETLIB, CBC_PARAM_ACTION_DIRMIPLIB, CLP_PARAM_ACTION_IMPORT, CLP_PARAM_ACTION_EXPORT, CLP_PARAM_ACTION_RESTORE, CLP_PARAM_ACTION_SAVE, CLP_PARAM_ACTION_DUALSIMPLEX, CLP_PARAM_ACTION_PRIMALSIMPLEX, CLP_PARAM_ACTION_EITHERSIMPLEX, CLP_PARAM_ACTION_MAXIMIZE, CLP_PARAM_ACTION_MINIMIZE, CLP_PARAM_ACTION_EXIT, CLP_PARAM_ACTION_STDIN, CLP_PARAM_ACTION_UNITTEST, CLP_PARAM_ACTION_NETLIB_EITHER, CLP_PARAM_ACTION_NETLIB_DUAL, CLP_PARAM_ACTION_NETLIB_PRIMAL, CLP_PARAM_ACTION_SOLUTION, CLP_PARAM_ACTION_SAVESOL, CLP_PARAM_ACTION_TIGHTEN, CLP_PARAM_ACTION_FAKEBOUND, CLP_PARAM_ACTION_HELP, CLP_PARAM_ACTION_PLUSMINUS, CLP_PARAM_ACTION_NETWORK, CLP_PARAM_ACTION_ALLSLACK, CLP_PARAM_ACTION_REVERSE, CLP_PARAM_ACTION_BARRIER, CLP_PARAM_ACTION_NETLIB_BARRIER, CLP_PARAM_ACTION_NETLIB_TUNE, CLP_PARAM_ACTION_REALLY_SCALE, CLP_PARAM_ACTION_BASISIN, CLP_PARAM_ACTION_BASISOUT, CLP_PARAM_ACTION_SOLVECONTINUOUS, CLP_PARAM_ACTION_CLEARCUTS, CLP_PARAM_ACTION_VERSION, CLP_PARAM_ACTION_STATISTICS, CLP_PARAM_ACTION_DEBUG, CLP_PARAM_ACTION_DUMMY, CLP_PARAM_ACTION_PRINTMASK, CLP_PARAM_ACTION_OUTDUPROWS, CLP_PARAM_ACTION_USERCLP, CLP_PARAM_ACTION_MODELIN, CLP_PARAM_ACTION_CSVSTATISTICS, CLP_PARAM_ACTION_STOREDFILE, CLP_PARAM_ACTION_ENVIRONMENT, CLP_PARAM_ACTION_PARAMETRICS, CLP_PARAM_ACTION_GMPL_SOLUTION, CLP_PARAM_ACTION_RESTORESOL, CLP_PARAM_ACTION_GUESS,

CBC_PARAM_ACTION_BAB = 501, CBC_PARAM_ACTION_MIPLIB, CBC_PARAM_ACTION_STRENGTHEN, CBC_PARAM_ACTION_PRIORITYIN, CBC_PARAM_ACTION_MIPSTART, CBC_PARAM_ACTION_USERCBC, CBC_PARAM_ACTION_DOHEURISTIC, CLP_PARAM_ACTION_NEXTBESTSOLUTION,

CBC_PARAM_NOTUSED_OSLSTUFF = 601, CBC_PARAM_NOTUSED_CBCSTUFF,

CBC_PARAM_NOTUSED_INVALID = 1000 };

/ Very simple class for setting parameters

class CbcOrClpParam { public: /**

| CbcOrClpParam ()
| Constructors.
| CbcOrClpParam (std::string name, std::string help, double lower, double upper, CbcOrClpParameterType type, int display=2)
| CbcOrClpParam (std::string name, std::string help, int lower, int upper, CbcOrClpParameterType type, int display=2)
| CbcOrClpParam (std::string name, std::string help, std::string firstValue, CbcOrClpParameterType type, int whereUsed=7, int display=2)
| CbcOrClpParam (std::string name, std::string help, CbcOrClpParameterType type, int whereUsed=7, int display=2)
| CbcOrClpParam (const CbcOrClpParam &)
| Copy constructor.
CbcOrClpParam & | operator= (const CbcOrClpParam &rhs)
| Assignment operator. This copies the data.
| ~CbcOrClpParam ()
| Destructor.
stuff
void | append (std::string keyWord)
| Insert string (only valid for keywords).
void | addHelp (std::string keyWord)
| Adds one help line.
std::string | name () const
| Returns name.
std::string | shortHelp () const
| Returns short help.
std::string | longHelp () const
| Returns long help.
const std::vector< std::string > & | definedKeywords () const
| Returns set of valid strings.
double | lowerDoubleValue () const
| Returns the lower bound for a double-valued parameter.
double | upperDoubleValue () const
| Returns the upper bound for a double-valued parameter.
int | lowerIntValue () const
| Returns the lower bound for an int-valued parameter.
int | upperIntValue () const
| Returns the upper bound for an int-valued parameter.
int | setDoubleParameter (CbcModel &model, double value)
| Sets a double parameter (nonzero code if error).
const char * | setDoubleParameterWithMessage (CbcModel &model, double value, int &returnCode)
| Sets double parameter and returns printable string and error code.
double | doubleParameter (CbcModel &model) const
| Gets a double parameter.
int | setIntParameter (CbcModel &model, int value)
| Sets a int parameter (nonzero code if error).
const char * | setIntParameterWithMessage (CbcModel &model, int value, int &returnCode)
| Sets int parameter and returns printable string and error code.
int | intParameter (CbcModel &model) const
| Gets a int parameter.
int | setDoubleParameter (ClpSimplex *model, double value)
| Sets a double parameter (nonzero code if error).
double | doubleParameter (ClpSimplex *model) const
| Gets a double parameter.
const char * | setDoubleParameterWithMessage (ClpSimplex *model, double value, int &returnCode)
| Sets double parameter and returns printable string and error code.
int | setIntParameter (ClpSimplex *model, int value)
| Sets a int parameter (nonzero code if error).
const char * | setIntParameterWithMessage (ClpSimplex *model, int value, int &returnCode)
| Sets int parameter and returns printable string and error code.
int | intParameter (ClpSimplex *model) const
| Gets a int parameter.
int | setDoubleParameter (OsiSolverInterface *model, double value)
| Sets a double parameter (nonzero code if error).
const char * | setDoubleParameterWithMessage (OsiSolverInterface *model, double value, int &returnCode)
| Sets double parameter and returns printable string and error code.
double | doubleParameter (OsiSolverInterface *model) const
| Gets a double parameter.
int | setIntParameter (OsiSolverInterface *model, int value)
| Sets a int parameter (nonzero code if error).
const char * | setIntParameterWithMessage (OsiSolverInterface *model, int value, int &returnCode)
| Sets int parameter and returns printable string and error code.
int | intParameter (OsiSolverInterface *model) const
| Gets a int parameter.
int | checkDoubleParameter (double value) const
| Checks a double parameter (nonzero code if error).
std::string | matchName () const
| Returns name which could match.
int | lengthMatchName () const
| Returns length of name for ptinting.
int | parameterOption (std::string check) const
| Returns parameter option which matches (-1 if none).
void | printOptions () const
| Prints parameter options.
std::string | currentOption () const
| Returns current parameter option.
void | setCurrentOption (int value, bool printIt=false)
| Sets current parameter option.
const char * | setCurrentOptionWithMessage (int value)
| Sets current parameter option and returns printable string.
void | setCurrentOption (const std::string value)
| Sets current parameter option using string.
const char * | setCurrentOptionWithMessage (const std::string value)
| Sets current parameter option using string with message.
int | currentOptionAsInteger () const
| Returns current parameter option position.
int | currentOptionAsInteger (int &fakeInteger) const
| Returns current parameter option position but if fake keyword returns a fake value and sets fakeInteger to true value.
void | setIntValue (int value)
| Sets int value.
const char * | setIntValueWithMessage (int value)
| Sets int value with message.
int | intValue () const
void | setDoubleValue (double value)
| Sets double value.
const char * | setDoubleValueWithMessage (double value)
| Sets double value with message.
double | doubleValue () const
void | setStringValue (std::string value)
| Sets string value.
std::string | stringValue () const
int | matches (std::string input) const
| Returns 1 if matches minimum, 2 if matches less, 0 if not matched.
CbcOrClpParameterType | type () const
| type
int | displayThis () const
| whether to display
void | setLonghelp (const std::string help)
| Set Long help.
void | printLongHelp () const
| Print Long help.
void | printString () const
| Print action and string.
int | whereUsed () const
| 7 if used everywhere, 1 - used by clp 2 - used by cbc 4 - used by ampl
int | fakeKeyWord () const
| Gets value of fake keyword.
void | setFakeKeyWord (int value, int fakeValue)
| Sets value of fake keyword.
void | setFakeKeyWord (int fakeValue)
| Sets value of fake keyword to current size of keywords.
void | gutsOfConstructor ()
| gutsOfConstructor

## data

We might as well throw all type data in - could derive?
#define | CBCMAXPARAMETERS 250
CbcOrClpParameterType | type_
double | lowerDoubleValue_
| If double == okay.
double | upperDoubleValue_
int | lowerIntValue_
| If int == okay.
int | upperIntValue_
unsigned int | lengthName_
unsigned int | lengthMatch_
std::vector< std::string > | definedKeyWords_
| set of valid strings
std::string | name_
| Name.
std::string | shortHelp_
| Short help.
std::string | longHelp_
| Long help.
CbcOrClpParameterType | action_
| Action.
int | currentKeyWord_
| Current keyWord (if a keyword parameter).
int | display_
| Display on ?
int | intValue_
| Integer parameter - current value.
double | doubleValue_
| Double parameter - current value.
std::string | stringValue_
| String parameter - current value.
int | whereUsed_
| 7 if used everywhere, 1 - used by clp 2 - used by cbc 4 - used by ampl
int | fakeKeyWord_
| If >=0 then integers allowed as a fake keyword So minusnnnn would got to -nnnn in currentKeyword_ and plusnnnn would go to fakeKeyword_+nnnn.
int | fakeValue_
| Return this as main value if an integer.
std::string | CoinReadNextField ()
| Simple read stuff.
std::string | CoinReadGetCommand (int argc, const char *argv[])
std::string | CoinReadGetString (int argc, const char *argv[])
int | CoinReadGetIntField (int argc, const char *argv[], int *valid)
double | CoinReadGetDoubleField (int argc, const char *argv[], int *valid)
void | CoinReadPrintit (const char *input)
void | setCbcOrClpPrinting (bool yesNo)
void | establishParams (std::vector< CbcOrClpParam > &params)
int | whichParam (const CbcOrClpParameterType &name, const std::vector< CbcOrClpParam > &parameters)
void | saveSolution (const ClpSimplex *lpSolver, std::string fileName)
void | restoreSolution (ClpSimplex *lpSolver, std::string fileName, int mode)

## Macro Definition Documentation

## CBCMAXPARAMETERS

#define CBCMAXPARAMETERS 250

Definition at line 570 of file CbcOrClpParam.hpp.

## Function Documentation

## CbcOrClpParam() [1/6]

CbcOrClpParam | ( |  | ) |

Constructors.

## CbcOrClpParam() [2/6]

CbcOrClpParam | ( | std::string | name,
|  | std::string | help,
|  | double | lower,
|  | double | upper,
|  | CbcOrClpParameterType | type,
|  | int | display = 2 )

## CbcOrClpParam() [3/6]

CbcOrClpParam | ( | std::string | name,
|  | std::string | help,
|  | int | lower,
|  | int | upper,
|  | CbcOrClpParameterType | type,
|  | int | display = 2 )

## CbcOrClpParam() [4/6]

CbcOrClpParam | ( | std::string | name,
|  | std::string | help,
|  | std::string | firstValue,
|  | CbcOrClpParameterType | type,
|  | int | whereUsed = 7,
|  | int | display = 2 )

## CbcOrClpParam() [5/6]

CbcOrClpParam | ( | std::string | name,
|  | std::string | help,
|  | CbcOrClpParameterType | type,
|  | int | whereUsed = 7,
|  | int | display = 2 )

## CbcOrClpParam() [6/6]

CbcOrClpParam | ( | const CbcOrClpParam & |  | ) |

Copy constructor.

## operator=()

CbcOrClpParam & operator= | ( | const CbcOrClpParam & | rhs | ) |

Assignment operator. This copies the data.

## ~CbcOrClpParam()

~CbcOrClpParam | ( |  | ) |

Destructor.

## append()

void append | ( | std::string | keyWord | ) |

Insert string (only valid for keywords).

## addHelp()

void addHelp | ( | std::string | keyWord | ) |

Adds one help line.

## name()

std::string name | ( |  | ) | const

inline

Returns name.

Definition at line 332 of file CbcOrClpParam.hpp.

## shortHelp()

std::string shortHelp | ( |  | ) | const

inline

Returns short help.

Definition at line 337 of file CbcOrClpParam.hpp.

## longHelp()

std::string longHelp | ( |  | ) | const

inline

Returns long help.

Definition at line 342 of file CbcOrClpParam.hpp.

## definedKeywords()

const std::vector< std::string > & definedKeywords | ( |  | ) | const

inline

Returns set of valid strings.

Definition at line 347 of file CbcOrClpParam.hpp.

## lowerDoubleValue()

double lowerDoubleValue | ( |  | ) | const

inline

Returns the lower bound for a double-valued parameter.

Definition at line 352 of file CbcOrClpParam.hpp.

## upperDoubleValue()

double upperDoubleValue | ( |  | ) | const

inline

Returns the upper bound for a double-valued parameter.

Definition at line 357 of file CbcOrClpParam.hpp.

## lowerIntValue()

int lowerIntValue | ( |  | ) | const

inline

Returns the lower bound for an int-valued parameter.

Definition at line 362 of file CbcOrClpParam.hpp.

## upperIntValue()

int upperIntValue | ( |  | ) | const

inline

Returns the upper bound for an int-valued parameter.

Definition at line 367 of file CbcOrClpParam.hpp.

## setDoubleParameter() [1/3]

int setDoubleParameter | ( | CbcModel & | model,
|  | double | value )

Sets a double parameter (nonzero code if error).

## setDoubleParameterWithMessage() [1/3]

const char * setDoubleParameterWithMessage | ( | CbcModel & | model,
|  | double | value,
|  | int & | returnCode )

Sets double parameter and returns printable string and error code.

## doubleParameter() [1/3]

double doubleParameter | ( | CbcModel & | model | ) | const

Gets a double parameter.

## setIntParameter() [1/3]

int setIntParameter | ( | CbcModel & | model,
|  | int | value )

Sets a int parameter (nonzero code if error).

## setIntParameterWithMessage() [1/3]

const char * setIntParameterWithMessage | ( | CbcModel & | model,
|  | int | value,
|  | int & | returnCode )

Sets int parameter and returns printable string and error code.

## intParameter() [1/3]

int intParameter | ( | CbcModel & | model | ) | const

Gets a int parameter.

## setDoubleParameter() [2/3]

int setDoubleParameter | ( | ClpSimplex * | model,
|  | double | value )

Sets a double parameter (nonzero code if error).

## doubleParameter() [2/3]

double doubleParameter | ( | ClpSimplex * | model | ) | const

Gets a double parameter.

## setDoubleParameterWithMessage() [2/3]

const char * setDoubleParameterWithMessage | ( | ClpSimplex * | model,
|  | double | value,
|  | int & | returnCode )

Sets double parameter and returns printable string and error code.

## setIntParameter() [2/3]

int setIntParameter | ( | ClpSimplex * | model,
|  | int | value )

Sets a int parameter (nonzero code if error).

## setIntParameterWithMessage() [2/3]

const char * setIntParameterWithMessage | ( | ClpSimplex * | model,
|  | int | value,
|  | int & | returnCode )

Sets int parameter and returns printable string and error code.

## intParameter() [2/3]

int intParameter | ( | ClpSimplex * | model | ) | const

Gets a int parameter.

## setDoubleParameter() [3/3]

int setDoubleParameter | ( | OsiSolverInterface * | model,
|  | double | value )

Sets a double parameter (nonzero code if error).

## setDoubleParameterWithMessage() [3/3]

const char * setDoubleParameterWithMessage | ( | OsiSolverInterface * | model,
|  | double | value,
|  | int & | returnCode )

Sets double parameter and returns printable string and error code.

## doubleParameter() [3/3]

double doubleParameter | ( | OsiSolverInterface * | model | ) | const

Gets a double parameter.

## setIntParameter() [3/3]

int setIntParameter | ( | OsiSolverInterface * | model,
|  | int | value )

Sets a int parameter (nonzero code if error).

## setIntParameterWithMessage() [3/3]

const char * setIntParameterWithMessage | ( | OsiSolverInterface * | model,
|  | int | value,
|  | int & | returnCode )

Sets int parameter and returns printable string and error code.

## intParameter() [3/3]

int intParameter | ( | OsiSolverInterface * | model | ) | const

Gets a int parameter.

## checkDoubleParameter()

int checkDoubleParameter | ( | double | value | ) | const

Checks a double parameter (nonzero code if error).

## matchName()

std::string matchName | ( |  | ) | const

Returns name which could match.

## lengthMatchName()

int lengthMatchName | ( |  | ) | const

Returns length of name for ptinting.

## parameterOption()

int parameterOption | ( | std::string | check | ) | const

Returns parameter option which matches (-1 if none).

## printOptions()

void printOptions | ( |  | ) | const

Prints parameter options.

## currentOption()

std::string currentOption | ( |  | ) | const

inline

Returns current parameter option.

Definition at line 418 of file CbcOrClpParam.hpp.

## setCurrentOption() [1/2]

void setCurrentOption | ( | int | value,
|  | bool | printIt = false )

Sets current parameter option.

## setCurrentOptionWithMessage() [1/2]

const char * setCurrentOptionWithMessage | ( | int | value | ) |

Sets current parameter option and returns printable string.

## setCurrentOption() [2/2]

void setCurrentOption | ( | const std::string | value | ) |

Sets current parameter option using string.

## setCurrentOptionWithMessage() [2/2]

const char * setCurrentOptionWithMessage | ( | const std::string | value | ) |

Sets current parameter option using string with message.

## currentOptionAsInteger() [1/2]

int currentOptionAsInteger | ( |  | ) | const

Returns current parameter option position.

## currentOptionAsInteger() [2/2]

int currentOptionAsInteger | ( | int & | fakeInteger | ) | const

Returns current parameter option position but if fake keyword returns a fake value and sets fakeInteger to true value.

If not fake then fakeInteger is -COIN_INT_MAX

## setIntValue()

void setIntValue | ( | int | value | ) |

Sets int value.

## setIntValueWithMessage()

const char * setIntValueWithMessage | ( | int | value | ) |

Sets int value with message.

## intValue()

int intValue | ( |  | ) | const

inline

Definition at line 441 of file CbcOrClpParam.hpp.

## setDoubleValue()

void setDoubleValue | ( | double | value | ) |

Sets double value.

## setDoubleValueWithMessage()

const char * setDoubleValueWithMessage | ( | double | value | ) |

Sets double value with message.

## doubleValue()

double doubleValue | ( |  | ) | const

inline

Definition at line 449 of file CbcOrClpParam.hpp.

## setStringValue()

void setStringValue | ( | std::string | value | ) |

Sets string value.

## stringValue()

std::string stringValue | ( |  | ) | const

inline

Definition at line 455 of file CbcOrClpParam.hpp.

## matches()

int matches | ( | std::string | input | ) | const

Returns 1 if matches minimum, 2 if matches less, 0 if not matched.

## type()

CbcOrClpParameterType type | ( |  | ) | const

inline

type

Definition at line 462 of file CbcOrClpParam.hpp.

## displayThis()

int displayThis | ( |  | ) | const

inline

whether to display

Definition at line 467 of file CbcOrClpParam.hpp.

## setLonghelp()

void setLonghelp | ( | const std::string | help | ) |

inline

Set Long help.

Definition at line 472 of file CbcOrClpParam.hpp.

## printLongHelp()

void printLongHelp | ( |  | ) | const

Print Long help.

## printString()

void printString | ( |  | ) | const

Print action and string.

## whereUsed()

int whereUsed | ( |  | ) | const

inline

7 if used everywhere, 1 - used by clp 2 - used by cbc 4 - used by ampl

Definition at line 485 of file CbcOrClpParam.hpp.

## fakeKeyWord()

int fakeKeyWord | ( |  | ) | const

inline

Gets value of fake keyword.

Definition at line 490 of file CbcOrClpParam.hpp.

## setFakeKeyWord() [1/2]

void setFakeKeyWord | ( | int | value,
|  | int | fakeValue )

inline

Sets value of fake keyword.

Definition at line 495 of file CbcOrClpParam.hpp.

## setFakeKeyWord() [2/2]

void setFakeKeyWord | ( | int | fakeValue | ) |

Sets value of fake keyword to current size of keywords.

## gutsOfConstructor()

void gutsOfConstructor | ( |  | ) |

private

gutsOfConstructor

## CoinReadNextField()

std::string CoinReadNextField | ( |  | ) |

private

Simple read stuff.

## CoinReadGetCommand()

std::string CoinReadGetCommand | ( | int | argc,
|  | const char * | argv[] )

private

## CoinReadGetString()

std::string CoinReadGetString | ( | int | argc,
|  | const char * | argv[] )

private

## CoinReadGetIntField()

int CoinReadGetIntField | ( | int | argc,
|  | const char * | argv[],
|  | int * | valid )

private

## CoinReadGetDoubleField()

double CoinReadGetDoubleField | ( | int | argc,
|  | const char * | argv[],
|  | int * | valid )

private

## CoinReadPrintit()

void CoinReadPrintit | ( | const char * | input | ) |

private

## setCbcOrClpPrinting()

void setCbcOrClpPrinting | ( | bool | yesNo | ) |

private

## establishParams()

void establishParams | ( | std::vector< CbcOrClpParam > & | params | ) |

private

## whichParam()

int whichParam | ( | const CbcOrClpParameterType & | name,
|  | const std::vector< CbcOrClpParam > & | parameters )

private

## saveSolution()

void saveSolution | ( | const ClpSimplex * | lpSolver,
|  | std::string | fileName )

private

## restoreSolution()

void restoreSolution | ( | ClpSimplex * | lpSolver,
|  | std::string | fileName,
|  | int | mode )

private

## Variable Documentation

## type_

CbcOrClpParameterType type_

private

Definition at line 514 of file CbcOrClpParam.hpp.

## lowerDoubleValue_

double lowerDoubleValue_

private

If double == okay.

Definition at line 516 of file CbcOrClpParam.hpp.

## upperDoubleValue_

double upperDoubleValue_

private

Definition at line 517 of file CbcOrClpParam.hpp.

## lowerIntValue_

int lowerIntValue_

private

If int == okay.

Definition at line 519 of file CbcOrClpParam.hpp.

## upperIntValue_

int upperIntValue_

private

Definition at line 520 of file CbcOrClpParam.hpp.

## lengthName_

unsigned int lengthName_

private

Definition at line 522 of file CbcOrClpParam.hpp.

## lengthMatch_

unsigned int lengthMatch_

private

Definition at line 524 of file CbcOrClpParam.hpp.

## definedKeyWords_

std::vector< std::string > definedKeyWords_

private

set of valid strings

Definition at line 526 of file CbcOrClpParam.hpp.

## name_

std::string name_

private

Name.

Definition at line 528 of file CbcOrClpParam.hpp.

## shortHelp_

std::string shortHelp_

private

Short help.

Definition at line 530 of file CbcOrClpParam.hpp.

## longHelp_

std::string longHelp_

private

Long help.

Definition at line 532 of file CbcOrClpParam.hpp.

## action_

CbcOrClpParameterType action_

private

Action.

Definition at line 534 of file CbcOrClpParam.hpp.

## currentKeyWord_

int currentKeyWord_

private

Current keyWord (if a keyword parameter).

Definition at line 536 of file CbcOrClpParam.hpp.

## display_

int display_

private

Display on ?

Definition at line 538 of file CbcOrClpParam.hpp.

## intValue_

int intValue_

private

Integer parameter - current value.

Definition at line 540 of file CbcOrClpParam.hpp.

## doubleValue_

double doubleValue_

private

Double parameter - current value.

Definition at line 542 of file CbcOrClpParam.hpp.

## stringValue_

std::string stringValue_

private

String parameter - current value.

Definition at line 544 of file CbcOrClpParam.hpp.

## whereUsed_

int whereUsed_

private

7 if used everywhere, 1 - used by clp 2 - used by cbc 4 - used by ampl

Definition at line 550 of file CbcOrClpParam.hpp.

## fakeKeyWord_

int fakeKeyWord_

private

If >=0 then integers allowed as a fake keyword So minusnnnn would got to -nnnn in currentKeyword_ and plusnnnn would go to fakeKeyword_+nnnn.

Definition at line 555 of file CbcOrClpParam.hpp.

## fakeValue_

int fakeValue_

private

Return this as main value if an integer.

Definition at line 557 of file CbcOrClpParam.hpp.